#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

//~~~~~~~~~~~~~~~~~~~~~~~~~~~STRUCTURES~~~~~~~~~~~~~~~~~~~~~~~~~~~

//? Est-ce utile de faire une structure pour l'adresse ?
typedef struct
{
	char rue[30];
	int codePostal;
	char ville[30];
} Adresse;

typedef struct
{
	char entreprise[30];
	Adresse adresse;
	int capital;
	int duree;
	int cout;
} Devis;

typedef struct maillonDevis
{
	Devis devis;
	struct maillonDevis *suiv;
} MaillonDevis, *ListeDevis;

typedef struct
{
	char travaux[30];
	ListeDevis ldevis;
} Offre;

//~~~~~~~~~~~~~~~~~~~~~~~~~~~FONCTION~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//remplir les liste

//~~~~~~~~~~~~PARTIE 1~~~~~~~~~~~~
ListeDevis rechListeDevis(char typeTravaux[], Offre *offre, int tLog);
void Affiche(ListeDevis l);
void AfficheDevis(ListeDevis l);
void AfficheDevisE(ListeDevis l, char entr[]);

int chargement(Offre *offre, char fichier[]);

//~~~Idée :~~~

//1.Afficher l'ensemble des entreprise pour un codePostal donné
//2.Affiche la duree d'execution d'une tache, d'une entreprise en particulier
//3.Afficher l'entreprise avec la duree la moins longue à réaliser en fonction de la tâche (utilise la 2 ?)


//~~~~~~~~~~~~PARTIE 2~~~~~~~~~~~~
//Afficher l'entreprise qui a la tâche(travaux) retenu 
//celle ayant le coût de réalisation le moins cher
//si égalité : 
//Celle ayant le plus gros capital
void ShowEntrepTache(ListeDevis l, char trv);

//~~~~~~~~~~~~PARTIE 3~~~~~~~~~~~~

typedef struct
{
char tache[20] ; // nom de la tâche ex : Plomberie
int duree ; // durée de la tâche
int nbPred ; // nombre de prédécesseurs de la tâche
Liste succ ; // liste des successeurs de la tâche
int dateDebut ; // date de début au plutôt de la tâche
bool traite ; // booléen : la tâche est-elle traitée
}Tache ;

//Charger un tableau de pointeur vers cette structure ??



//~~~~~~~~~~~~PARTIE 4~~~~~~~~~~~~